<?
	session_start();
	require("../conectar.php");
	require("libFormato.php");
	$ano=$_GET['ano'];
?>
<HTML>
<HEAD>
<TITLE> </TITLE>
<LINK href="estilo.css" rel=stylesheet>

<SCRIPT LANGUAGE="JavaScript">
	var imprimible="";

	function versionimp(){
		if (imprimible=='')
			imprimible="s";
		else
			imprimible="";
	}

	function cambiadeano(f) {
	    anio=f;
		document.location="garantiasenefectivoSel.php?ano=" + anio;
	}
</SCRIPT>
<style>
.tmed {  font-size: 7pt; color: #000000;  
             font-family: verdana, tahoma, Arial, Helvetica, sans-serif; 
			 border-color: #000000 solid; 
			 font-weight: normal}





.lmed {  font-size: 10pt; color: #000000;  
             font-family: verdana, tahoma, Arial, Helvetica, sans-serif; 
			 font-weight: normal}


INPUT {
	FONT-FAMILY: tahoma,sans-serif; FONT-SIZE: 11px
}
.tform {
	BORDER-BOTTOM: 0px; BORDER-LEFT: 0px; BORDER-RIGHT: 0px; BORDER-TOP: 0px; FONT-FAMILY: verdana,tahoma,sans-serif; FONT-SIZE: 12px; background-color: #F5F5F5
}
.tformc {
	BORDER-BOTTOM: 0px; BORDER-LEFT: 0px; BORDER-RIGHT: 0px; BORDER-TOP: 0px; FONT-FAMILY: verdana,tahoma,sans-serif; FONT-SIZE: 12px; background-color: #E8FFF0
}
.tbus {
	BORDER-BOTTOM: 0px; BORDER-LEFT: 0px; BORDER-RIGHT: 0px; BORDER-TOP: 0px; FONT-FAMILY: verdana,tahoma,sans-serif; FONT-SIZE: 12px; background-color: #FFFFFF
}
.tfmed {
	BORDER-BOTTOM: 0px; BORDER-LEFT: 0px; BORDER-RIGHT: 0px; BORDER-TOP: 0px; FONT-FAMILY: verdana,tahoma,sans-serif; FONT-SIZE: 9px; background-color: #F5F5F5
}
.tfmedc {
	BORDER-BOTTOM: 0px; BORDER-LEFT: 0px; BORDER-RIGHT: 0px; BORDER-TOP: 0px; FONT-FAMILY: verdana,tahoma,sans-serif; FONT-SIZE: 9px; background-color: #E8FFF0
}
.tpeque {
	BORDER-BOTTOM: 0px; BORDER-LEFT: 0px; BORDER-RIGHT: 0px; BORDER-TOP: 0px; FONT-FAMILY: verdana,tahoma,sans-serif; FONT-SIZE: 8px; background-color: #FFFFFF
}
.tbuscar {
	BORDER-BOTTOM: 0px; BORDER-LEFT: 0px; BORDER-RIGHT: 0px; BORDER-TOP: 0px; FONT-FAMILY: verdana,tahoma,sans-serif; FONT-SIZE: 10px; background-color: #FFFFFF
}
TABLE {
	BORDER-BOTTOM: 0px; BORDER-LEFT: 0px; BORDER-RIGHT: 0px; BORDER-TOP: 0px; FONT-FAMILY: verdana,tahoma,sans-serif; FONT-SIZE: 12px; background-color: #FFFFFF
}

</style>
</head>

<body>

<?php
$tclas="tmed";
//require("linknormal.php");


$añoactual=date("Y");

if ($ano=='')
	$ano=$añoactual;


echo <<<h
<form name=forma>
<table border="1" cellspacing="0" cellpadding="1" align="center" class=$tclas>
<caption><b><FONT SIZE="2">GARANTIAS EN E</FONT> </caption>
<tr>
	<td colspan=12 align=center>
		A&Ntilde;O: <select name="ano" class="sel" onChange="cambiadeano(this.value);">
			<option value="$ano">$ano
h;

for ($iaño=$añoactual;$iaño>=2003;$iaño--){
echo <<<h
   <option value="$iaño">$iaño
h;
}

echo <<<h
		</select>
	</td>
</tr>
h;


$mesactual=date("m");
echo <<<h
<tr>
h;

if($añoactual==$ano){
   $mesactual=date("m");
}else if($ano<$añoactual){
   $mesactual=12;
}
for ($i=1;$i<=$mesactual;$i++){
	switch($i){ 
		case 1:   
			$md="ENERO";
			break;
		case 2:   
			$md="FEBRERO";
			break; 
		case 3:   
			$md="MARZO";
			break;
		case 4:   
			$md="ABRIL";
			break;
		case 5:   
			$md="MAYO";
			break; 
		case 6:   
			$md="JUNIO";
			break; 
		case 7:   
			$md="JULIO";
			break;
		case 8:   
			$md="AGOSTO";
			break; 
		case 9:   
			$md="SEPTIEMBRE";
			break;
		case 10:   
			$md="OCTUBRE";
			break;
		case 11:   
			$md="NOVIEMBRE";
			break; 
		case 12:   
			$md="DICIEMBRE";
			break; 
		default: break;
	}


$ultimo=31;

while(Checkdate($i,$ultimo,$ano) == 0)
 {
  $ultimo--;  
 }


$fechaini="$ano-$i-01";
$fechafin="$ano-$i-$ultimo";

 $sql="SELECT  count(p.id_pago) AS cuantos FROM pagos as p  
				INNER JOIN complejo as c ON p.propiedad=c.id_complejo 
				INNER JOIN  departamentos as d ON p.clave=d.id_departamento 
				INNER JOIN empleados as e ON p.id_emp=e.id_empleado WHERE p.concepto='DEPOSITO' and p.formapago IN('EP','ED') AND p.fecha between '$fechaini' and '$fechafin' and valadmon='s' and valarq<>'s'";
$r=mysql_query($sql);
$l=mysql_fetch_object ($r);
$totpormes=$l->cuantos;

//Obtiene el color de fondo para el mes
	if ($i < $mesactual)
		$colormes="bgcolor=#20B2AA";
	else if ($i == $mesactual)
		$colormes="bgcolor=#FFFFCC";
    else
		$colormes="bgcolor=#FFFFFF";
//-->Obtiene el color de fondo para el mes

echo <<<h
	<td $colormes>
		<a href="#x" onclick="window.open('garantiasenefectivoFecha.php?mesesc=$md&sucursal=$le->sucursal&fechaini=$fechaini&fechafin=$fechafin&imp=' + imprimible,'','toolbar=no,location=no,directories=no,status=no,menubar=yes,scrollbars=yes,resizable=yes,top=0,left=0');">$md ($totpormes)</a>
	</td>
h;
}

echo <<<h
</tr>
h;
//}

echo "</table> </form>";

mysql_close();

echo<<<h
</BODY>
</HTML>
h;
?>